package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

public interface SearchResult {

	/**
	 * @return the contained {@link ResultItem} objects.
	 */
	public Collection<ResultItem> getResultItems();

	/**
	 * @return the name of the subscription, if the {@link SearchResult} is
	 * contained in a {@link PollResult}.
	 */
	public String getName();
}
