package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

class SubscribeRequestImpl extends RequestImpl implements SubscribeRequest {
	
	private final GenericObjectHolder<SubscribeElement> mObjectHolder;
	
	SubscribeRequestImpl() {
		mObjectHolder = new GenericObjectHolder<SubscribeElement>();
	}

	@Override
	public void addSubscribeElement(SubscribeElement se) {
		mObjectHolder.addElement(se);
	}

	@Override
	public Collection<SubscribeElement> getSubscribeElements() {
		return mObjectHolder.getElements();
	}
}
