package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import util.Pair;

class PublishDeleteImpl extends IdentifierHolderImpl implements PublishDelete {
	
	
	private String mFilter;
	
	private final NamespaceDeclarationHolder mNamespaces;
	
	/**
	 * package constructor
	 */
	PublishDeleteImpl() {
		mNamespaces = new NamespaceDeclarationHolderImpl();
	}

	@Override
	public void setFilter(String filter) {
		mFilter = filter;
	}

	@Override
	public String getFilter() {
		return mFilter;
	}

	@Override
	public void addNamespaceDeclaration(String prefix, String uri) {
		mNamespaces.addNamespaceDeclaration(prefix, uri);
	}

	@Override
	public Collection<Pair<String, String>> getNamespaceDeclarations() {
		return mNamespaces.getNamespaceDeclarations();
	}
}
