package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

class PublishRequestImpl extends RequestImpl implements PublishRequest {
	
	private final GenericObjectHolder<PublishElement> mObjectHolder;
	
	PublishRequestImpl() {
		mObjectHolder = new GenericObjectHolder<PublishElement>();
	}

	@Override
	public void addPublishElement(PublishElement pe) {
		mObjectHolder.addElement(pe);
	}

	@Override
	public Collection<PublishElement> getPublishElements() {
		return mObjectHolder.getElements();
	}
}
