package de.fhhannover.inform.trust.ifmapj.messages;

public interface PublishUpdate extends PublishElement, IdentifierHolder, MetadataHolder {
	
	/**
	 * @param lt set the lifetime for the metadata in this update.
	 * 
	 * @throws NullPointerException if the given lifetime is null.
	 */
	public void setLifeTime(MetadataLifetime lt);
	
	/**
	 * @return the lifetime for the metadata in this update.
	 */
	public MetadataLifetime getLifeTime();

}
