package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Simple {@link Request} implementation.
 * 
 * @author aw
 */
abstract class RequestImpl implements Request {
	
	private String mSessionId;
	
	public void setSessionId(String sessionId) {
		if (sessionId == null)
			throw new NullPointerException("sessionId is null");
		
		mSessionId = sessionId;
	}
	
	public String getSessionId() {
		return mSessionId;
	}
}
